/*
 *			N E T A C C E S S . C
 *
 *	Enforce security policy on network submissions to MDQS
 *
 *	Doug Kingston, 5 December 83
 */
#include <stdio.h>

extern	char *accessfile;

netaccess (host, queue)
char	*host, *queue;
{
	register FILE *af;		/* Access File */
	char	**argv;
	int	argc;
	char	buf[512];

	if (accessfile == (char *) 0)
		return (1);
	if ((af = fopen (accessfile, "r")) == NULL)
		return (1);
	while (fgets (buf, sizeof buf, af) != NULL) {
		argc = parse (buf, &argv);
		if (argc < 1)
			continue;
		if (! lexequ (host, argv[0]))
			continue;
		/*
		 *  The host is in the table.  If any
		 *  queues are listed, then the host
		 *  is restricted to these queues.
		 */
		if (argc == 1)
			return (1);		/* Fully privileged */
		while (*++argv)
			if (lexequ (queue, *argv))
				return (1);	/* Specifically OK */
	}
	return (0);
}
